Bug 888887 - Fix ppc64p7 handling in pungi
Summary: Fix ppc64p7 handling in pungi
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pungi
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-19 17:39 UTC by David Aquilina
Modified: 2014-06-24 00:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-05 07:15:46 UTC
Type: Bug


Attachments (Terms of Use)
Ugly hack (1.74 KB, patch)
2012-12-19 17:39 UTC, David Aquilina
no flags Details | Diff

Description David Aquilina 2012-12-19 17:39:29 UTC
Created attachment 666242 [details]
Ugly hack

Description of problem:

Currently, pungi handles the ppc64p7 subarch by setting yumarch to ppc64p7. This causes pungi to gather both ppc64 and ppc64p7 RPMs in the gather stage (good), but it only installs p7 RPMs into the runtime image (bad, since this prevents the installer from running on another other than a POWER7 system). 

The correct behavior should be: 

- Gather both ppc64 and ppc64p7
- Create the runtime installer image with only ppc64 RPMs

I have an ugly hack (attached) which causes yumarch to be set to ppc64 when the yum object is reinitialized from the doBuildInstall function but I'm sure there's a better way to do this.

Comment 1 Fedora Update System 2012-12-22 08:45:48 UTC
pungi-2.13-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pungi-2.13-1.fc18

Comment 2 Fedora Update System 2012-12-22 21:12:15 UTC
Package pungi-2.13-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pungi-2.13-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20843/pungi-2.13-1.fc18
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2013-01-05 07:15:48 UTC
pungi-2.13-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.